Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0005418 [JEDI VCL] 04 Feature Request feature always 2010-11-24 10:42 2012-09-10 14:15
Reporter Cyclatron View Status public  
Assigned To obones
Priority normal Resolution fixed  
Status resolved   Product Version 3.40
Summary 0005418: Added a few features for your review to the JvPlugin source.
Description Jedi plug-in feature modifications 11/24/2010, thought I'd share.

Why : I needed inner-module communication so I added some things..

1) Added non-published event property for the Host within the Plug-in class that fires when a plug-in calls broadcast. ->All loaded plug-ins<- can get messages through plug-in manager. Nothing special need be done.

2) Added published event property in Host that fires when messages are received. Originator does not receive it's own messages. (There's no message looping).

3) Added ability to pass objects between modules (plug-in to plug-in). ShareMEM
required when doing this.
Additional Information EXEs, demo project, source and patches included.

*Tested with D7 and D2010. Both work. Not checked for leaks.
*Recommended FastMM (FastMM497.zip) usage for ShareMem replacement.
*D2010 will upgrade the D7 project.
*All output files need to be outputted to same directory.
*Basic BDE and demo tables required for demo project.

*In the demo project you find most of work being done by the plug-ins with
the host controller just listening. Unlike (I think) the other demos this one
operates mostly plug-in to plug-in. The form in the demo also has easy
access to the plug-in hosting it. I think the demo mimics structurally closer too something I might write so that's why I made it.
Tags No tags attached.
Attached Files zip file icon JVPlug Mods and Example.zip [^] (1,760,273 bytes) 2010-11-24 10:42

- Relationships

-  Notes
(0019588)
obones (administrator)
2012-02-27 16:47

This is now in SVN

- Issue History
Date Modified Username Field Change
2010-11-24 10:42 Cyclatron New Issue
2010-11-24 10:42 Cyclatron File Added: JVPlug Mods and Example.zip
2011-02-15 13:46 obones Status new => acknowledged
2012-02-27 16:47 obones Note Added: 0019588
2012-02-27 16:47 obones Status acknowledged => resolved
2012-02-27 16:47 obones Fixed in Version => Daily / SVN
2012-02-27 16:47 obones Resolution open => fixed
2012-02-27 16:47 obones Assigned To => obones
2012-09-10 14:15 obones Fixed in Version Daily / SVN => 3.46


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker